aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xlatex-fitch-uoo/watch21
1 files changed, 21 insertions, 0 deletions
diff --git a/latex-fitch-uoo/watch b/latex-fitch-uoo/watch
new file mode 100755
index 0000000..f9ce5ed
--- /dev/null
+++ b/latex-fitch-uoo/watch
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+[ -f fitch ] && rm fitch
+
+wget 'http://www.mathstat.dal.ca/~selinger/fitch' -O fitch >/dev/null 2>/dev/null
+
+if [ $? = 0 ]; then
+ [ -f unfetchable ] && rm unfetchable
+ md5sum fitch > new-sum
+ touch sum
+ if [ "$(cat sum)" = "$(cat new-sum)" ]; then
+ rm new-sum
+ else
+ mv new-sum sum
+ echo 'latex-fitch-uoo'
+ fi
+elif [ ! -f unfetchable ]; then
+ touch unfetchable
+ echo 'latex-fitch-uoo (unfetchable)'
+fi
+